
-- Grab a copy of the local data
local addonName, addonData = ...
local Translate = addonData.Translate

addonData.ExpansionDB = {
	[0] = EXPANSION_NAME0,	-- Classic ( 1 to 50 )
	[1] = EXPANSION_NAME1,	-- The Burning Crusade ( 51 to 70 )
	[2] = EXPANSION_NAME2,	-- Wrath of the Lich King ( 70 to 80 )
	[3] = EXPANSION_NAME3,	-- Cataclysm ( 80 to 85 )
	[4] = EXPANSION_NAME4,	-- Mists of Pandaria ( 85 to 90 )
}

addonData.PortalDB = {

	-- Stormwind
	[1] = {
		expansionRequired = 0,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 10059,
		faction = FACTION_ALLIANCE,
	},
	
	-- Ironforge
	[2] = {
		expansionRequired = 0,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 11416,
		faction = FACTION_ALLIANCE,
	},

	-- Orgrimmar
	[3] = {
		expansionRequired = 0,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 11417,
		faction = FACTION_HORDE,
	},

	-- Undercity
	[4] = {
		expansionRequired = 0,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 11418,
		faction = FACTION_HORDE,
	},

	-- Darnassus
	[5] = {
		expansionRequired = 0,
		levelRequired = 50,
		dropItem = false,
		questReward = false,
		spellID = 11419,
		faction = FACTION_ALLIANCE,
	},

	-- Thunderbluff
	[6] = {
		expansionRequired = 0,
		levelRequired = 50,
		dropItem = false,
		questReward = false,
		spellID = 11420,
		faction = FACTION_HORDE,
	},

	-- Exodar
	[7] = {
		expansionRequired = 1,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 32266,
		faction = FACTION_ALLIANCE,
	},

	-- Silvermoon
	[8] = {
		expansionRequired = 1,
		levelRequired = 40,
		dropItem = false,
		questReward = false,
		spellID = 32267,
		faction = FACTION_HORDE,
	},

	-- Shattrath
	[9] = {
		expansionRequired = 1,
		levelRequired = 65,
		dropItem = false,
		questReward = false,
		spellID = 33691,
		faction = FACTION_ALLIANCE,
	},

	-- Shattrath
	[10] = {
		expansionRequired = 1,
		levelRequired = 65,
		dropItem = false,
		questReward = false,
		spellID = 35717,
		faction = FACTION_HORDE,
	},

	-- Theramore
	[11] = {
		expansionRequired = 0,
		levelRequired = 35,
		dropItem = false,
		questReward = false,
		spellID = 49360,
		faction = FACTION_ALLIANCE,
	},

	-- Stonard
	[12] = {
		expansionRequired = 0,
		levelRequired = 35,
		dropItem = false,
		questReward = false,
		spellID = 49361,
		faction = FACTION_HORDE,
	},
	
	-- Dalaran
	[13] = {
		expansionRequired = 2,
		levelRequired = 74,
		dropItem = false,
		questReward = false,
		spellID = 53142,
		faction = FACTION_ALLIANCE,
	},

	-- Dalaran
	[14] = {
		expansionRequired = 2,
		levelRequired = 74,
		dropItem = false,
		questReward = false,
		spellID = 53142,
		faction = FACTION_HORDE,
	},
	
	-- Tol Barad
	[15] = {
		expansionRequired = 3,
		levelRequired = 85,
		dropItem = false,
		questReward = false,
		spellID = 88345,
		faction = FACTION_ALLIANCE,
	},

	-- Tol Barad
	[16] = {
		expansionRequired = 3,
		levelRequired = 85,
		dropItem = false,
		questReward = false,
		spellID = 88346,
		faction = FACTION_HORDE,
	},

	-- Ancient Dalaran
	[17] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = true,
		questReward = false,
		spellID = 120146,
		faction = FACTION_HORDE,
	},
	-- Ancient Dalaran
	[18] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = true,
		questReward = false,
		spellID = 120146,
		faction = FACTION_ALLIANCE,
	},
	--Vale of Eternal Blossums
	[19] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = false,
		questReqard = false,
		spellID = 132620,
		faction = FACTION_ALLIANCE,
	},

	--Vale of Eternal Blossums
	[20] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = false,
		questReqard = false,
		spellID = 132626,
		faction = FACTION_HORDE,
	},
	
	
}

addonData.TeleportDB = {

	-- Stormwind
	[1] = {
		expansionRequired = 0,
		levelRequired = 20,
		dropItem = false,
		questReward = false,
		spellID = 3561,
		faction = FACTION_ALLIANCE,
	},
	
	-- Ironforge
	[2] = {
		expansionRequired = 0,
		levelRequired = 20,
		dropItem = false,
		questReward = false,
		spellID = 3562,
		faction = FACTION_ALLIANCE,
	},

	-- Undercity
	[3] = {
		expansionRequired = 0,
		levelRequired = 20,
		dropItem = false,
		questReward = false,
		spellID = 3563,
		faction = FACTION_HORDE,
	},

	-- Thunder Bluff
	[4] = {
		expansionRequired = 0,
		levelRequired = 30,
		dropItem = false,
		questReward = false,
		spellID = 3566,
		faction = FACTION_HORDE,
	},

	-- Darnassus
	[5] = {
		expansionRequired = 0,
		levelRequired = 30,
		dropItem = false,
		questReward = false,
		spellID = 3565,
		faction = FACTION_ALLIANCE,
	},

	-- Orgrimmar
	[6] = {
		expansionRequired = 0,
		levelRequired = 20,
		dropItem = false,
		questReward = false,
		spellID = 3567,
		faction = FACTION_HORDE,
	},

	-- Exodar
	[7] = {
		expansionRequired = 1,
		levelRequired = 20,
		dropItem = false,
		questReward = false,
		spellID = 32271,
		faction = FACTION_ALLIANCE,
	},

	-- Silvermoon
	[8] = {
		expansionRequired = 1,
		levelRequired =20,
		dropItem = false,
		questReward = false,
		spellID = 32272,
		faction = FACTION_HORDE,
	},

	-- Shattrath
	[9] = {
		expansionRequired = 1,
		levelRequired = 60,
		dropItem = false,
		questReward = false,
		spellID = 33690,
		faction = FACTION_ALLIANCE,
	},

	-- Shattrath
	[10] = {
		expansionRequired = 1,
		levelRequired = 60,
		dropItem = false,
		questReward = false,
		spellID = 35715,
		faction = FACTION_HORDE,
	},

	-- Theramore
	[11] = {
		expansionRequired = 0,
		levelRequired = 35,
		dropItem = false,
		questReward = false,
		spellID = 49359,
		faction = FACTION_ALLIANCE,
	},

	-- Stonard
	[12] = {
		expansionRequired = 0,
		levelRequired = 35,
		dropItem = false,
		questReward = false,
		spellID = 49358,
		faction = FACTION_HORDE,
	},
	
	-- Dalaran
	[13] = {
		expansionRequired = 2,
		levelRequired = 71,
		dropItem = false,
		questReward = true,
		spellID = 53140,
		faction = FACTION_ALLIANCE,
	},

	-- Dalaran
	[14] = {
		expansionRequired = 2,
		levelRequired = 71,
		dropItem = false,
		questReward = true,
		spellID = 53140,
		faction = FACTION_HORDE,
	},
	
	-- Tol Barad
	[15] = {
		expansionRequired = 3,
		levelRequired = 85,
		dropItem = false,
		questReward = false,
		spellID = 88342,
		faction = FACTION_ALLIANCE,
	},

	-- Tol Barad
	[16] = {
		expansionRequired = 3,
		levelRequired = 85,
		dropItem = false,
		questReward = false,
		spellID = 88344,
		faction = FACTION_HORDE,
	},

	-- Ancient Dalaran
	[17] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = true,
		questReward = false,
		spellID = 120145,
		faction = FACTION_HORDE,
	},

	-- Ancient Dalaran
	[18] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = true,
		questReward = false,
		spellID = 120145,
		faction = FACTION_ALLIANCE,
	},
	
	--Vale of Eternal Blossums
	[19] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = false,
		questReqard = false,
		spellID = 132621,
		faction = FACTION_ALLIANCE
	},
	
	--Vale of Eternal Blossums
	[20] = {
		expansionRequired = 4,
		levelRequired = 90,
		dropItem = false,
		questReqard = false,
		spellID = 132627,
		faction = FACTION_HORDE,
	},
	

}

